%define device_mapper_version 1.02.67-2

Summary: Cluster extensions for userland logical volume management tools 
Name: lvm2-cluster
Version: 2.02.88
Release: 9%{?dist}.2
License: GPL
Group: System Environment/Base
URL: http://sources.redhat.com/lvm2
Source0: LVM2.%{version}.tgz
Patch0: lvm2-rhel5.patch
Patch1: lvm2-cluster-force-restart.patch
Patch2: dm_1_02_69-fix-alignment.patch
Patch3: lvm2-2_02_89-fix-dmeventd-snapshot.patch
Patch4: lvm2-2_02_89-fix-report.patch
Patch5: lvm2-2_02_89-fix-overflow.patch
Patch6: lvm2-2_02_89-fix-resize.patch
Patch7: lvm2-2_02_89-fix-lvinfo.patch
Patch8: lvm2-2_02_89-add-lvextend-nosync.patch
Patch9: lvm2-2_02_89-fix-stripe.patch
Patch10: lvm2-2_02_89-add-mpath-filter.patch
Patch11: lvm2-2_02_89-fix-mirror.patch
Patch12: lvm2-2_02_89-fix-vgsplit.patch
Patch13: lvm2-2_02_89-fix-lvm1-snap.patch
Patch14: lvm2-2_02_89-fix-lock-msg.patch
Patch15: lvm2-2_02_89-fix-exclusive.patch
Patch16: lvm2-2_02_90-fix-pv-min.patch
Patch17: lvm2-2_02_96-fix-restore.patch
Patch18: lvm2-2_02_96-fix-alloc-cling.patch
Patch19: lvm2-2_02_89-fix-clvmd-processing-of-invalid-requrest-on-local-socket.patch
Patch20: lvm2-2_02_94-do-not-send-uninitialised-bytes-in-cluster-error-reply-messages.patch
Patch21: lvm2-2_02_94-limit-max-size-of-processed-clvmd-message-to-8K.patch
Patch22: lvm2-2_02_94-ensure-clvmd-message-is-always-nul-terminated-after-read.patch
Patch23: lvm2-2_02_100-verify-validity-of-clvmd-message-before-processing.patch
Patch24: lvm2-2_02_101-fix-3-thread-clvmd-deadlock-triggered-by-cleanup-on-eof-from-client.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: device-mapper >= %{device_mapper_version}
BuildRequires: libselinux-devel >= 1.30.19-4
BuildRequires: libsepol-devel
BuildRequires: libtermcap-devel
BuildRequires: ncurses-devel
BuildRequires: readline-devel
BuildRequires: cman-devel
Requires: lvm2 >= %{version}
Requires: mkinitrd >= 4.2.1.3-1
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): device-mapper >= %{device_mapper_version}
Requires(preun): lvm2 >= 2.02

%define _exec_prefix /usr

%description
Extensions to LVM2 to support clusters.

%prep
%setup -q -c -n LVM2-CLUSTER.%{version}
cd LVM2.%{version}
%patch0 -p1 -b .rhel5
%patch1 -p1 -b .force
%patch2 -p1 -b .align
%patch3 -p1 -b .snap
%patch4 -p1 -b .report
%patch5 -p1 -b .overflow
%patch6 -p1 -b .resize
%patch7 -p1 -b .lvinfo
%patch8 -p1 -b .nosync
%patch9 -p1 -b .stripe
%patch10 -p1 -b .mpath
%patch11 -p1 -b .mirror
%patch12 -p1 -b .vgsplit
%patch13 -p1 -b .lvm1
%patch14 -p1 -b .msg
%patch15 -p1 -b .excl
%patch16 -p1 -b .pv_min
%patch17 -p1 -b .restore
%patch18 -p1 -b .cling
%patch19 -p1 -b .invalid_request
%patch20 -p1 -b .uninitialised
%patch21 -p1 -b .msg_max_size
%patch22 -p1 -b .nul_terminated
%patch23 -p1 -b .clvmd_msg_validity
%patch24 -p1 -b .clvmd_deadlock

%build
cd LVM2.%{version}
%configure --enable-static_link --disable-readline --enable-lvm1_fallback --with-clvmd=cman --with-cluster=internal --with-pool=internal --with-staticdir=/sbin --with-user= --with-group= --enable-dmeventd --with-dmeventd-path=/sbin/dmeventd --enable-cmdlib --enable-fsadm --with-device-uid=0 --with-device-gid=6 --with-device-mode=0660 --enable-pkgconfig --enable-units-compat --with-default-data-alignment=0 --with-device-nodes-on=create --with-raid=none

make DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
cd LVM2.%{version}
make install_cluster DESTDIR=$RPM_BUILD_ROOT
make install_initscripts DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/etc/rc.d/init.d/lvm2-monitor
install -m 0755 scripts/lvmconf.sh $RPM_BUILD_ROOT/usr/sbin/lvmconf
install -m 0444 man/lvmconf.8 $RPM_BUILD_ROOT/usr/share/man/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add clvmd

if [ "$1" -gt "1" ] ; then
       /sbin/service clvmd force-try-restart >/dev/null 2>&1 || :
fi

%preun
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del clvmd
	/usr/sbin/lvmconf --disable-cluster
fi

%files
%defattr(-,root,root,-)
%attr(755,root,root) %{_sbindir}/clvmd
%{_sbindir}/lvmconf
%{_mandir}/man8/clvmd.8.gz
%{_mandir}/man8/lvmconf.8.gz
%config /etc/rc.d/init.d/clvmd

%changelog
* Mon Dec 16 2013 Peter Rajnoha <prajnoha@redhat.com> - 2.02.88-9.el5_10.2
- Fix 3-thread clvmd deadlock triggered by cleanup on EOF from client.

* Mon Oct 21 2013 Peter Rajnoha <prajnoha@redhat.com> - 2.02.88-9.el5_10.1
- Verify clvmd message validity before processing and log error if incorrect.
- Ensure clvmd mesage is always NUL-terminated after read.
- Limit the max size of processed clvmd message to ~8KB.
- Do not send uninitialised bytes in cluster error reply messages.
- Fix clvmd processing of invalid request on local socket.

* Wed Jul 25 2012 Peter Rajnoha <prajnoha@redhat.com> - 2.02.88-9
- Fix alloc cling to cling to PVs already found with contiguous policy.
- Fix cling policy not to behave like normal policy if no previous LV seg.
- Fix allocation loop not to use later policies when --alloc cling without tags.
- Append _TO_LVSEG to names of internal A_CONTIGUOUS and A_CLING flags.
  Resolves: #821013

* Thu May 24 2012 Milan Broz <mbroz@redhat.com> - 2.02.88-8
- Do not print warning for pv_min_size set in range between 512KB and 2MB.
- Fix division by zero if PV with zero PE count is used during vgcfgrestore.
  Related: #786009 #820237 #824813

* Fri Jan 20 2012 Milan Broz <mbroz@redhat.com> - 2.02.88-7
- Preserve exclusive activation of cluster mirror when converting.
  Related: #702065

* Wed Jan 18 2012 Milan Broz <mbroz@redhat.com> - 2.02.88-6
- Fix lvm1 format snapshot handling.
- Make memory lock error message clearer.
  Related: #758833 #769053

* Thu Dec 01 2011 Milan Broz <mbroz@redhat.com> - 2.02.88-5
- Fix mirror log conversion and vgsplit for mirrored logs.
- Fix dmeventd automatic snapshot extension.
  Related: #754598 #755762 #754198

* Tue Nov 15 2011 Milan Broz <mbroz@redhat.com> - 2.02.88-4
- Avoid scan of device if it is part of active multipath.
- Fix mirrored log creation and log size calculation.
- Fix split mirror in cluster.
  Resolves: #597010 #749359 #750882 #750613

* Thu Nov 10 2011 Milan Broz <mbroz@redhat.com> - 2.02.88-3
- Add ability to extend mirrors with '--nosync' option.
- Fix extent-count divisibility requirements for striped mirrors.
  Related: #537369 #749650

* Thu Oct 20 2011 Milan Broz <mbroz@redhat.com> - 2.02.88-2
- Fix redundant dmevent snapshot monitoring messages.
- Fix lvextend and fsadm ext4 resize.
  Related: #746302 #707056 #708444 #720971

* Mon Oct 17 2011 Milan Broz <mbroz@redhat.com> - 2.02.88-1
- Update to latest upstream release, all fixes and enhancements
  detailed in WHATS_NEW file.
  Resolves: #746687

* Thu Jun 16 2011 Milan Broz <mbroz@redhat.com> - 2.02.84-6
- Fix repair of mirror volume after transient device error.
  Related: #651590

* Fri Jun 10 2011 Milan Broz <mbroz@redhat.com> - 2.02.84-5
- Fix reduction of mirrors with striped segments.
  Related: #710618

* Tue Apr 26 2011 Milan Broz <mbroz@redhat.com> - 2.02.84-3
- Fix duplicate PV handling and vgimportclone.
  Related: #697959

* Tue Mar 22 2011 Milan Broz <mbroz@redhat.com> - 2.02.84-2
- Allow to specify PV minimal size.
- Fix return code for unknown option in clvmd.
  Resolves: #644578 #666991

* Fri Mar 03 2011 Milan Broz <mbroz@redhat.com> - 2.02.84-1
- Update to latest upstream release, see WHATS_NEW for detailed changelog.
  Related: #680961
  Resolves: #673615 #667517

* Fri Jan 28 2011 Milan Broz <mbroz@redhat.com> - 2.02.74-4
- Always use O_DIRECT when opening block devices in filters.
  Resolves: #673615
  Related: #673083 #672816

* Tue Nov 09 2010 Milan Broz <mbroz@redhat.com> - 2.02.74-3
- Align code to changes in lvm2 and device-mapper library.
  Related: #486994 #643365 #649710 #651349

* Fri Oct 20 2010 Milan Broz <mbroz@redhat.com> - 2.02.74-2
- Fix double close in clvmd and possible thread deadlock.
  Related: #561226

* Fri Oct 15 2010 Milan Broz <mbroz@redhat.com> - 2.02.74-1
- Align with base lvm2 package.
- Fix clvmd initscript runlevels.
  Related: #588903

* Mon Aug 30 2010 Milan Broz <mbroz@redhat.com> - 2.02.73-2
- Fix clustered mirror log daemon detection.

* Wed Aug 25 2010 Milan Broz <mbroz@redhat.com> - 2.02.73-1
- Update to latest upstream release, see WHATS_NEW for detailed changelog.
- CVE-2010-2526: Fix insecurity when communicating between lvm2 and clvmd.
- Fix conflict when both lvm and lvm2-cluster debuginfo installed.
- Add lvmconf man page.
  Resolves: #627541 #616047 #586980 #622755 #498436

* Fri May 14 2010 Milan Broz <mbroz@redhat.com> - 2.02.56-11
- Fix vgscan to refresh device cache if cluster locking is used.
  Resolves: #591861

* Mon Apr 19 2010 Milan Broz <mbroz@redhat.com> - 2.02.56-10
- Fix incorrect removal of symlinks after LV deactivation fails.
- Only do one full device scan during each read of text format metadata.
- Fix thread race in clvmd.
  Related: #580486 #575173 #571963
  Resolves: #561226

* Mon Feb 8 2010 Milan Broz <mbroz@redhat.com> - 2.02.56-7
- Make mirror repair exit with success when no action is needed.
- Fix inappropriate second resync when adding mimage to core-logged mirror.
  Related: #528208 #562004 #510526

* Wed Jan 27 2010 Milan Broz <mbroz@redhat.com> - 2.02.56-6
- Fix pvmove abort to be cluster-aware when temporary mirror activation fails.
  Resolves: #538571

* Wed Jan 20 2010 Milan Broz <mbroz@redhat.com> - 2.02.56-5
- Fix mirror repair allocate policy fallback to remove.
  Resolves: #552723 #548223 #538571

* Wed Jan 6 2010 Milan Broz <mbroz@redhat.com> - 2.02.56-4
- Fix precommitted metadata cache handling on remote nodes.
- Fix mirror repair policies and automatic missing PV removal.
- Fix possible stack overflow in persistent filter dump.
  Resolves: #538571 #538620 #547891 #547842 #552723

* Fri Dec 18 2009 Milan Broz <mbroz@redhat.com> - 2.02.56-3
- Fix missing flag device handling.
  Resolves: #537954 #543225

* Thu Dec 10 2009 Milan Broz <mbroz@redhat.com> - 2.02.56-2
- Fix problems with mirror repair handling.
- Fix cluster locking flags.
  Related: #536817
  Resolves: #543146

* Tue Nov 24 2009 Milan Broz <mbroz@redhat.com> - 2.02.56-1
- Fix problems with clustered volumes handling.
  Resolves: #538515 #539670

* Fri Nov 20 2009 Milan Broz <mbroz@redhat.com> - 2.02.55-1
- Update to latest upstream release, all fixes and enhancements
  detailed in WHATS_NEW file.
  Related: #536817

* Thu Nov 12 2009 Milan Broz <mbroz@redhat.com> - 2.02.54-1
- Update to latest upstream release, all fixes and enhancements
  detailed in WHATS_NEW file.
  Resolves: #536817 #528208 #517900

* Fri Aug 18 2009 Milan Broz <mbroz@redhat.com> - 2.02.46-10
- Fix default device mode permissions when using static lvm.
  Resolves: #524058

* Thu Aug 13 2009 Milan Broz <mbroz@redhat.com> - 2.02.46-9
- Add write lock write prioritization to avoid possible starvation.
- Fix orphan order locking (fix vgextend to use blocking lock).
- Use read lock for lvchange activation commands.
  Resolves: #515232 #516773

* Thu Jun 18 2009 Milan Broz <mbroz@redhat.com> - 2.02.46-8
- Fix various memory leaks in command context manipulation
  Related: #504877

* Thu Jun 11 2009 Milan Broz <mbroz@redhat.com> - 2.02.46-6
- Fix partial activation and lvconvert --repair on clusters.
  Resolves: #505141
  Related:  #505143

* Fri Jun 05 2009 Milan Broz <mbroz@redhat.com> - 2.02.46-5
- Fix problems when repairing inconsistent metadata.
  Related: #504312

* Thu Jun 04 2009 Milan Broz <mbroz@redhat.com> - 2.02.46-4
- Fix virtual origin snapshot manipulation.
- Implement mirror repair policies.
  Related: #249478 #503708

* Mon Jun 01 2009 Milan Broz <mbroz@redhat.com> - 2.02.46-3
- Fix crash when calculating readahead on missing device in vgreduce.
- Fix mirror log allocation when smallest PV has only 1 extent.
  Related: #502899 #502671

* Wed May 20 2009 Milan Broz <mbroz@redhat.com> - 2.02.46-1
- Update to latest upstream release.
  Resolves: #501756 #480145 #488219 #488728

* Wed Nov 26 2008 Milan Broz <mbroz@redhat.com> - 2.02.40-7
- Fix startup race in clvmd.
  Resolves: #470417

* Fri Oct 24 2008 Milan Broz <mbroz@redhat.com> - 2.02.40-6
- Avoid overwriting in-use on-disk text metadata.
- Fix mirror upconvert for active mirrors.
  Resolves: #467435 #455670

* Mon Oct 06 2008 Milan Broz <mbroz@redhat.com> - 2.02.40-4
- Fix excessive alignment for MD devices.
  Resolves: #463431

* Thu Sep 25 2008 Milan Broz <mbroz@redhat.com> - 2.02.40-3
- Fix mirror down convert and partial VG handling.
  Resolves: #463520

* Fri Sep 19 2008 Milan Broz <mbroz@redhat.com> - 2.02.40-2
- Do not print warning for old stripe_filler default setting.

* Fri Sep 19 2008 Milan Broz <mbroz@redhat.com> - 2.02.40-1
- Update to latest upstream release.
  Resolves: #456731

* Wed Jul 02 2008 Milan Broz <mbroz@redhat.com> - 2.02.39-1
- Update to latest upstream release.
  Resolves: #439384 #251940 #448059
  Related:  #452813

* Wed Apr 02 2008 Milan Broz <mbroz@redhat.com> - 2.02.32-4
- Fix another allocation bug with clvmd and large node IDs.
  Resolves: #438434

* Tue Mar 25 2008 Milan Broz <mbroz@redhat.com> - 2.02.32-3
- clvmd no longer crashes if it sees nodeids over 50.
- Fix potential deadlock in clvmd thread handling.
  Resolves: #437446 #438434

* Tue Mar 04 2008 Milan Broz <mbroz@redhat.com> - 2.02.32-2
- Fix several lvconvert bugs.
  Resolves: #433955

* Tue Jan 29 2008 Milan Broz <mbroz@redhat.com> - 2.02.32-1
- Fix internal metadata corruption in lvchange --resync.
  Resolves: #430540

* Mon Jan 21 2008 Milan Broz <mbroz@redhat.com> - 2.02.31-1
- Fix --nosync mirror creation.
  Resolves: #429342

* Thu Jan 17 2008 Milan Broz <mbroz@redhat.com> - 2.02.30-1
- Update to latest upstream release.
  Resolves: #423661

* Mon Jun 18 2007 Milan Broz <mbroz@redhat.com> - 2.02.26-1
- Update to latest upstream release.
  Resolves: #232436 #237386

* Sun Dec 17 2006 Alasdair Kergon <agk@redhat.com> - 2.02.16-3
- Fix clvmd deadlock.
  Resolves: #217753

* Fri Dec 01 2006 Alasdair Kergon <agk@redhat.com> - 2.02.16-2
- Adjust some alignments for ia64. 
- Fix VG clustered read locks to use PR not CR. 
- Add startup timeout to clvmd startup script.

* Tue Nov 21 2006 Alasdair Kergon <agk@redhat.com> - 2.02.15-3
- Fix clvmd init script line truncation.

* Tue Nov 21 2006 Alasdair Kergon <agk@redhat.com> - 2.02.15-2
- Fix lvm.conf segfault.

* Mon Nov 20 2006 Alasdair Kergon <agk@redhat.com> - 2.02.15-1
- Roll in recent fixes.
  Resolves: #214604

* Fri Nov 03 2006 Alasdair Kergon <agk@redhat.com> - 2.02.12-7
- Fix last fix.

* Fri Nov 03 2006 Alasdair Kergon <agk@redhat.com> - 2.02.12-6
- Fix userspace mirror log wiping.
  Resolves: #213797

* Thu Oct 26 2006 Alasdair Kergon <agk@redhat.com> - 2.02.12-5
- Fix pvdisplay and pvmove to cope if old PV is found claiming to have size 0.
  Resolves: #211675

* Mon Oct 23 2006 Alasdair Kergon <agk@redhat.com> - 2.02.12-4
- Make spec file closer to lvm2.spec for easier maintenance.
- Use the built-in cluster support (locking_type 3) by default,
  replacing the shared library, removing ldconfig and updating
  the lvmconf script.

* Mon Oct 16 2006 Alasdair Kergon <agk@redhat.com> - 2.02.12-1.0
- Change package suffix to use dist variable.
- Fall back to internal locking if external locking lib is missing or fails.

* Fri Oct 13 2006 Alasdair Kergon <agk@redhat.com> - 2.02.11-1.0
- lvmconf --enable-cluster no longer requires locking library post-installation
- clvmd accepts -R to instruct a running daemon to reload its internal cache
- Remote error messages are transmitted back across the cluster.
- Fix bug that caused clvmd to die if node with a long name crashed.
- Fix vgsplit to retain clustered VG attribute.

* Tue Sep 19 2006 Alasdair Kergon <agk@redhat.com> - 2.02.10-2.0
- No longer enable cluster by default.

* Tue Sep 19 2006 Alasdair Kergon <agk@redhat.com> - 2.02.10-1.0
- New upstream.
- Removed no_optimized_deactive patch.

* Thu Aug 31 2006 Alasdair Kergon <agk@redhat.com> - 2.02.09-1.1
- Build all archs.

* Thu Aug 17 2006 Alasdair Kergon <agk@redhat.com> - 2.02.09-1.0
- Upstream update for 64KB page size support.

* Tue Aug 15 2006 Alasdair Kergon <agk@redhat.com> - 2.02.08-1.0
- Create RHEL5 branch.
- Only build cman.
- Fix spec file dependencies.

* Mon Jul 24 2006 Chris Feist <cfeist@redhat.com> - 2.02.06-7.0
- Rebuilt with no_optimized_deactive patch.

* Mon Jul 17 2006 Alasdair Kergon <agk@redhat.com> - 2.02.06-6.0
- Rebuild with fix to last patch.

* Tue Jul 11 2006 Alasdair Kergon <agk@redhat.com> - 2.02.06-5.0
- Rebuild after recent lvm2 patches.

* Tue Jul 04 2006 Alasdair Kergon <agk@redhat.com> - 2.02.06-4.0
- Avoid clvm 'unaligned access' error on some archs. (194626, lost)
- Rebuild after recent lvm2 patches.

* Wed May 24 2006 Alasdair Kergon <agk@redhat.com> - 2.02.06-1.0
- Update to 2.02.06.
- BuildRequires libsepol-devel.
- Tidy spec file. [192100]

* Wed Mar 8 2006 Alasdair Kergon <agk@redhat.com> - 2.02.02-2.0
- Add missing chkconfig prereq.

* Fri Feb 10 2006 Alasdair Kergon <agk@redhat.com> - 2.02.02-1.0
- New upstream release.

* Thu Jan 12 2006 Alasdair Kergon <agk@redhat.com> - 2.02.01-1.2
- Rebuild against latest libdevmapper.

* Wed Jan 04 2006 Alasdair Kergon <agk@redhat.com> - 2.02.01-1.1
- Rebuild against latest libdevmapper.

* Mon Dec 05 2005 Alasdair Kergon <agk@redhat.com> - 2.02.01-1.0
- Update to latest upstream release.

* Tue Aug 16 2005 Alasdair Kergon <agk@redhat.com> - 2.01.14-1.0
- Incorporate additional upstream fixes since June.

* Tue Aug 16 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-6.0
- Add mkinitrd dependency to ensure it gets upgraded first. [165255]

* Tue Jun 14 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-5.0
- Couple of fixes to clvmd file descriptor closing.
- Fix potential spin loop in clvmd.

* Fri Jun 10 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-4.0
- Automatically enable clustering in lvm.conf on installation.

* Tue Jun 07 2005 Chris Feist <cfeist@redhat.com> - 2.01.09-3.1
- Rebuild against libgulm.so.1.0.0 (instead of libgulm.so.1.0).

* Tue May 17 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-3.0
- Fix clvmd init script.

* Thu Apr 21 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-2.1
- BuildRequires: dlm-devel, gulm-devel, ccs-devel

* Wed Apr 13 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-2.0
- Improve co-operation between clvmd and gulm over node state changes. [146056]

* Mon Apr 04 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-1.1
- Switch from 'ExcludeArch: s390 s390x ppc' to 
  'ExclusiveArch: i386 ia64 x86_64' to match dlm dependency.

* Mon Apr 04 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-1.0
- clvmd: Don't allow user operations to start until lvm thread is fully up.
- clvmd-gulm: Set KEEPALIVE on sockets.

* Tue Mar 22 2005 Alasdair Kergon <agk@redhat.com> - 2.01.08-1.0
- Improve detection of external changes affecting internal cache.

* Thu Mar 10 2005 Alasdair Kergon <agk@redhat.com> - 2.01.07-2.0
- clvmd lvm_thread_lock fix.

* Tue Mar 08 2005 Alasdair Kergon <agk@redhat.com> - 2.01.07-1.0
- clvmd FDs close-on-exec
- unlock gulm VG & orphan locks at startup in case they are stale
- unlock gulm VG & orphan locks if client dies.

* Fri Mar 04 2005 Alasdair Kergon <agk@redhat.com> - 2.01.06-1.1
- Extra /dev scanning required for clustered operation.

* Thu Mar 03 2005 Alasdair Kergon <agk@redhat.com> - 2.01.06-1.0
- More clvmd gulm fixes.

* Wed Feb 09 2005 Alasdair Kergon <agk@redhat.com> - 2.01.04-1.0
- Some more clvmd fixes.

* Mon Feb 07 2005 Chris Feist <cfeist@redhat.com> - 2.01.03-2.0
- Added chkconfig --add & --del to start init scripts.

* Tue Feb 01 2005 Alasdair Kergon <agk@redhat.com> - 2.01.03-1.0
- clvmd startup mesgs improved; avoid gulm hang after node reboot

* Fri Jan 21 2005 Alasdair Kergon <agk@redhat.com> - 2.01.02-1.0
- clvmd startup fix; recognise gnbd; improve error reporting.

* Thu Jan 20 2005 Alasdair Kergon <agk@redhat.com> - 2.01.01-1.2
- Install the correct clvmd init script.

* Wed Jan 19 2005 Alasdair Kergon <agk@redhat.com> - 2.01.01-1.1
- Fix spec file for 2.01.

* Wed Jan 19 2005 Alasdair Kergon <agk@redhat.com> - 2.01.01-1.0
- Fix clvmd build & update vgcreate man page.

* Mon Jan 17 2005 Alasdair Kergon <agk@redhat.com> - 2.01.00-1.0
- Include cman & gulm in same library.
- Remove cluster subdir.

* Thu Dec 23 2004 Chris Feist <cfeist@redhat.com> - 2.00.32-1.0
- New upstream sources.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com> - 2.00.29-1.11
- Added init script for clvm.

* Wed Dec 15 2004 Chris Feist <cfeist@redhat.com> - 2.00.29-1.11
- Use %{_libdir} which fixes 64 bit architecture build problems.

* Wed Dec 1 2004 Alasdair Kergon <agk@redhat.com> - 2.00.29-1.2
- Remove superfluous Requires.

* Tue Nov 30 2004 Alasdair Kergon <agk@redhat.com> - 2.00.29-1.1
- Sort out most of the files.

* Tue Nov 30 2004 Alasdair Kergon <agk@redhat.com> - 2.00.29-1.0
- Initial import.
